#include<iostream>
#include<stdio.h>
#include<stdlib.h>
#include <termios.h>

using namespace std;

/* If you know how to use a .h file, you are most welcome to use it for the follwing two functions. */

/* I have found some user defined functions, may be useful for your work.
 * If you have any other good option, feel free to use those. 
 * Otherwise just copy and paste these functions in your .cpp file at the beginning 
 * and use them appropriately by calling them.
 */


// This will be useful for moving your cursor anywhere on the screen and you can display
// something at that position.
void gotoxy(int x, int y)
{
	printf("%c[%d;%df",0x1B,y,x);
}

// As we have discussed, the following function will accept a input character from user,
// do not echo the input character (means do not display the character at output terminal)
// and also does not wait for ENTER key from user to proceed. In short, as soon as user enter
// any character it proceeds.
// Returns a character pressed by user.

char getch() 
{
        char buf = 0;
        struct termios old = {0};
        if (tcgetattr(0, &old) < 0)
                perror("tcsetattr()");
        old.c_lflag &= ~ICANON;
        old.c_lflag &= ~ECHO;
        old.c_cc[VMIN] = 1;
        old.c_cc[VTIME] = 0;
        if (tcsetattr(0, TCSANOW, &old) < 0)
                perror("tcsetattr ICANON");
        if (read(0, &buf, 1) < 0)
                perror ("read()");
        old.c_lflag |= ICANON;
        old.c_lflag |= ECHO;
        if (tcsetattr(0, TCSADRAIN, &old) < 0)
                perror ("tcsetattr ~ICANON");
        return (buf);
}

// Example for the usage of the above and some additional things

int main()
{
	int x=20;
	char ch;

	system("clear");	// Clears screen

	printf("\033[7m%2d\033[0m ",10);
	printf("%2d ",20);
	printf("\n");	

	ch = getch();

	if(ch == 'n')
		x++;
	else if(ch == 'b')
		x--;
		
	printf("\n");
		
	return 0;
}
